import { ModelConditionUtil, ModelConditionUtilImpl, FieldUtil, TableUtilImpl, IdType } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-02 09:56
 */
interface BMSDeployConfig {
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 基础镜像配置
    * @type { string }
    */
    basicImageConfig?: string;
    /**
    * 基础镜像ID
    * @type { string }
    */
    basicImageId?: string;
    /**
    * 基础镜像地址
    * @type { string }
    */
    basicImageUrl?: string;
    /**
    * 云服务商类型
    * @type { string }
    */
    cloudProvider?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 数据源
    * @type { string }
    */
    dbConfig?: string;
    /**
    * 数据源ID
    * @type { string }
    */
    dbId?: string;
    /**
    * 数据源连接池
    * @type { string }
    */
    dbPoolConfig?: string;
    /**
    * 数据源连接池ID
    * @type { string }
    */
    dbPoolId?: string;
    /**
    * 部署指令ID
    * @type { string }
    */
    deployCmdId?: string;
    /**
    *  0:已发送、1:待发送
    * @type { number }
    */
    deployCmdStatus?: number;
    /**
    * 部署信息,日志描述
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 部署参数
    * @type { string }
    */
    deployParameters?: string;
    /**
    *  0:已部署、1:待部署、2:部署中、3:部署失败、4：待停止、5、停止中、6：已停止
6:停止中、7:已停止
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署模板ID
    * @type { string }
    */
    deployTemplateId?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * 环境关联配置id
    * @type { string }
    */
    envConfigRefId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST、PROD
    * @type { string }
    */
    envType?: string;
    /**
    * 环境变量
    * @type { string }
    */
    envVariable?: string;
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 实例CPU
    * @type { number }
    */
    instanceCpu?: number;
    /**
    * 实例内存
    * @type { number }
    */
    instanceMemory?: number;
    /**
    * K8S 配置
    * @type { string }
    */
    k8sConfig?: string;
    /**
    * K8S集群配置ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * Kafka配置
    * @type { string }
    */
    kafkaConfig?: string;
    /**
    * Kafka配置ID
    * @type { string }
    */
    kafkaId?: string;
    /**
    * 日志配置
    * @type { string }
    */
    logConfig?: string;
    /**
    * 日志模板ID
    * @type { string }
    */
    logConfigTemplateId?: string;
    /**
    * 最大实例
    * @type { number }
    */
    maxInstance?: number;
    /**
    * 弹性伸缩模板ID
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 最大实例
    * @type { number }
    */
    minInstance?: number;
    /**
    * 项目服务ID
    * @type { string }
    */
    pid?: string;
    /**
    * 项目ID
    * @type { string }
    */
    projectId?: string;
    /**
    * Redis配置
    * @type { string }
    */
    redisConfig?: string;
    /**
    * RedisId
    * @type { string }
    */
    redisId?: string;
    /**
    * Redis连接池配置
    * @type { string }
    */
    redisPoolConfig?: string;
    /**
    * Redis连接池ID
    * @type { string }
    */
    redisPoolId?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 版本ID
    * @type { string }
    */
    versionId?: string;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
}
interface BMSDeployConfigMCU extends ModelConditionUtil<BMSDeployConfigMCU> {
    APP_ID: FieldUtil<BMSDeployConfigMCU>;
    BASIC_IMAGE_CONFIG: FieldUtil<BMSDeployConfigMCU>;
    BASIC_IMAGE_ID: FieldUtil<BMSDeployConfigMCU>;
    BASIC_IMAGE_URL: FieldUtil<BMSDeployConfigMCU>;
    CLOUD_PROVIDER: FieldUtil<BMSDeployConfigMCU>;
    CREATE_TIME: FieldUtil<BMSDeployConfigMCU>;
    CREATE_USER_ID: FieldUtil<BMSDeployConfigMCU>;
    DB_CONFIG: FieldUtil<BMSDeployConfigMCU>;
    DB_ID: FieldUtil<BMSDeployConfigMCU>;
    DB_POOL_CONFIG: FieldUtil<BMSDeployConfigMCU>;
    DB_POOL_ID: FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_CMD_ID: FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_CMD_STATUS: FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_MSG: FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_PARAMETERS: FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_STATUS: FieldUtil<BMSDeployConfigMCU>;
    DEPLOY_TEMPLATE_ID: FieldUtil<BMSDeployConfigMCU>;
    ENV_CODE: FieldUtil<BMSDeployConfigMCU>;
    ENV_CONFIG_REF_ID: FieldUtil<BMSDeployConfigMCU>;
    ENV_ID: FieldUtil<BMSDeployConfigMCU>;
    ENV_TYPE: FieldUtil<BMSDeployConfigMCU>;
    ENV_VARIABLE: FieldUtil<BMSDeployConfigMCU>;
    ID: FieldUtil<BMSDeployConfigMCU>;
    INSTANCE_CPU: FieldUtil<BMSDeployConfigMCU>;
    INSTANCE_MEMORY: FieldUtil<BMSDeployConfigMCU>;
    K8S_CONFIG: FieldUtil<BMSDeployConfigMCU>;
    K8S_ID: FieldUtil<BMSDeployConfigMCU>;
    KAFKA_CONFIG: FieldUtil<BMSDeployConfigMCU>;
    KAFKA_ID: FieldUtil<BMSDeployConfigMCU>;
    LOG_CONFIG: FieldUtil<BMSDeployConfigMCU>;
    LOG_CONFIG_TEMPLATE_ID: FieldUtil<BMSDeployConfigMCU>;
    MAX_INSTANCE: FieldUtil<BMSDeployConfigMCU>;
    METRICS_TEMPLATE_ID: FieldUtil<BMSDeployConfigMCU>;
    MIN_INSTANCE: FieldUtil<BMSDeployConfigMCU>;
    PID: FieldUtil<BMSDeployConfigMCU>;
    PROJECT_ID: FieldUtil<BMSDeployConfigMCU>;
    REDIS_CONFIG: FieldUtil<BMSDeployConfigMCU>;
    REDIS_ID: FieldUtil<BMSDeployConfigMCU>;
    REDIS_POOL_CONFIG: FieldUtil<BMSDeployConfigMCU>;
    REDIS_POOL_ID: FieldUtil<BMSDeployConfigMCU>;
    SERVICE_CENTER_ID: FieldUtil<BMSDeployConfigMCU>;
    UPDATE_TIME: FieldUtil<BMSDeployConfigMCU>;
    UPDATE_USER_ID: FieldUtil<BMSDeployConfigMCU>;
    VERSION_ID: FieldUtil<BMSDeployConfigMCU>;
    VERSION_NO: FieldUtil<BMSDeployConfigMCU>;
}
declare class BMSDeployConfigMCUImpl extends ModelConditionUtilImpl<BMSDeployConfigMCUImpl> implements BMSDeployConfigMCU {
    newInstance(): BMSDeployConfigMCUImpl;
    get APP_ID(): FieldUtil<BMSDeployConfigMCU>;
    get BASIC_IMAGE_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get BASIC_IMAGE_ID(): FieldUtil<BMSDeployConfigMCU>;
    get BASIC_IMAGE_URL(): FieldUtil<BMSDeployConfigMCU>;
    get CLOUD_PROVIDER(): FieldUtil<BMSDeployConfigMCU>;
    get CREATE_TIME(): FieldUtil<BMSDeployConfigMCU>;
    get CREATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>;
    get DB_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get DB_ID(): FieldUtil<BMSDeployConfigMCU>;
    get DB_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get DB_POOL_ID(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_CMD_ID(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_CMD_STATUS(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_MSG(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_PARAMETERS(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_STATUS(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_CODE(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_CONFIG_REF_ID(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_ID(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_TYPE(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_VARIABLE(): FieldUtil<BMSDeployConfigMCU>;
    get ID(): FieldUtil<BMSDeployConfigMCU>;
    get INSTANCE_CPU(): FieldUtil<BMSDeployConfigMCU>;
    get INSTANCE_MEMORY(): FieldUtil<BMSDeployConfigMCU>;
    get K8S_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get K8S_ID(): FieldUtil<BMSDeployConfigMCU>;
    get KAFKA_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get KAFKA_ID(): FieldUtil<BMSDeployConfigMCU>;
    get LOG_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>;
    get MAX_INSTANCE(): FieldUtil<BMSDeployConfigMCU>;
    get METRICS_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>;
    get MIN_INSTANCE(): FieldUtil<BMSDeployConfigMCU>;
    get PID(): FieldUtil<BMSDeployConfigMCU>;
    get PROJECT_ID(): FieldUtil<BMSDeployConfigMCU>;
    get REDIS_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get REDIS_ID(): FieldUtil<BMSDeployConfigMCU>;
    get REDIS_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get REDIS_POOL_ID(): FieldUtil<BMSDeployConfigMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BMSDeployConfigMCU>;
    get UPDATE_TIME(): FieldUtil<BMSDeployConfigMCU>;
    get UPDATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>;
    get VERSION_ID(): FieldUtil<BMSDeployConfigMCU>;
    get VERSION_NO(): FieldUtil<BMSDeployConfigMCU>;
}
declare class BMSDeployConfigMU extends TableUtilImpl<BMSDeployConfigMCU, BMSDeployConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    constructor();
    createModelConditionUtil(): BMSDeployConfigMCU;
    static get APP_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get BASIC_IMAGE_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    static get BASIC_IMAGE_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get BASIC_IMAGE_URL(): FieldUtil<BMSDeployConfigMCU>;
    static get CLOUD_PROVIDER(): FieldUtil<BMSDeployConfigMCU>;
    static get CREATE_TIME(): FieldUtil<BMSDeployConfigMCU>;
    static get CREATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get DB_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    static get DB_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get DB_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    static get DB_POOL_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get DEPLOY_CMD_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get DEPLOY_CMD_STATUS(): FieldUtil<BMSDeployConfigMCU>;
    static get DEPLOY_MSG(): FieldUtil<BMSDeployConfigMCU>;
    static get DEPLOY_PARAMETERS(): FieldUtil<BMSDeployConfigMCU>;
    static get DEPLOY_STATUS(): FieldUtil<BMSDeployConfigMCU>;
    static get DEPLOY_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get ENV_CODE(): FieldUtil<BMSDeployConfigMCU>;
    static get ENV_CONFIG_REF_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get ENV_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get ENV_TYPE(): FieldUtil<BMSDeployConfigMCU>;
    static get ENV_VARIABLE(): FieldUtil<BMSDeployConfigMCU>;
    static get ID(): FieldUtil<BMSDeployConfigMCU>;
    static get INSTANCE_CPU(): FieldUtil<BMSDeployConfigMCU>;
    static get INSTANCE_MEMORY(): FieldUtil<BMSDeployConfigMCU>;
    static get K8S_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    static get K8S_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get KAFKA_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    static get KAFKA_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get LOG_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    static get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get MAX_INSTANCE(): FieldUtil<BMSDeployConfigMCU>;
    static get METRICS_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get MIN_INSTANCE(): FieldUtil<BMSDeployConfigMCU>;
    static get PID(): FieldUtil<BMSDeployConfigMCU>;
    static get PROJECT_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get REDIS_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    static get REDIS_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get REDIS_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    static get REDIS_POOL_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get UPDATE_TIME(): FieldUtil<BMSDeployConfigMCU>;
    static get UPDATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get VERSION_ID(): FieldUtil<BMSDeployConfigMCU>;
    static get VERSION_NO(): FieldUtil<BMSDeployConfigMCU>;
    get APP_ID(): FieldUtil<BMSDeployConfigMCU>;
    get BASIC_IMAGE_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get BASIC_IMAGE_ID(): FieldUtil<BMSDeployConfigMCU>;
    get BASIC_IMAGE_URL(): FieldUtil<BMSDeployConfigMCU>;
    get CLOUD_PROVIDER(): FieldUtil<BMSDeployConfigMCU>;
    get CREATE_TIME(): FieldUtil<BMSDeployConfigMCU>;
    get CREATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>;
    get DB_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get DB_ID(): FieldUtil<BMSDeployConfigMCU>;
    get DB_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get DB_POOL_ID(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_CMD_ID(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_CMD_STATUS(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_MSG(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_PARAMETERS(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_STATUS(): FieldUtil<BMSDeployConfigMCU>;
    get DEPLOY_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_CODE(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_CONFIG_REF_ID(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_ID(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_TYPE(): FieldUtil<BMSDeployConfigMCU>;
    get ENV_VARIABLE(): FieldUtil<BMSDeployConfigMCU>;
    get ID(): FieldUtil<BMSDeployConfigMCU>;
    get INSTANCE_CPU(): FieldUtil<BMSDeployConfigMCU>;
    get INSTANCE_MEMORY(): FieldUtil<BMSDeployConfigMCU>;
    get K8S_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get K8S_ID(): FieldUtil<BMSDeployConfigMCU>;
    get KAFKA_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get KAFKA_ID(): FieldUtil<BMSDeployConfigMCU>;
    get LOG_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>;
    get MAX_INSTANCE(): FieldUtil<BMSDeployConfigMCU>;
    get METRICS_TEMPLATE_ID(): FieldUtil<BMSDeployConfigMCU>;
    get MIN_INSTANCE(): FieldUtil<BMSDeployConfigMCU>;
    get PID(): FieldUtil<BMSDeployConfigMCU>;
    get PROJECT_ID(): FieldUtil<BMSDeployConfigMCU>;
    get REDIS_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get REDIS_ID(): FieldUtil<BMSDeployConfigMCU>;
    get REDIS_POOL_CONFIG(): FieldUtil<BMSDeployConfigMCU>;
    get REDIS_POOL_ID(): FieldUtil<BMSDeployConfigMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BMSDeployConfigMCU>;
    get UPDATE_TIME(): FieldUtil<BMSDeployConfigMCU>;
    get UPDATE_USER_ID(): FieldUtil<BMSDeployConfigMCU>;
    get VERSION_ID(): FieldUtil<BMSDeployConfigMCU>;
    get VERSION_NO(): FieldUtil<BMSDeployConfigMCU>;
}
export { BMSDeployConfigMCU, BMSDeployConfigMCUImpl, BMSDeployConfig, BMSDeployConfigMU };
